Foreman - Bug #12609

Boolean parameter overrides are not displayed correctly on host form
11/26/2015 03:22 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2935
Description

A boolean parameter that has a default value of true and is overridden for a host with a value of false will still display the default
value on the host edit form. The correct value will be shown on the YAML output.

Related issues:
Related to Foreman - Refactor #11458: Allow overriding parameters inline in h... Closed 08/24/2015

Associated revisions

Revision ea26193a - 11/30/2015 04:06 PM - Tomer Brisker
Fixes #12609 - correctly display boolean parameters on host edit form
Booleans were not displayed correctly in certain cases due to the fact

that “false.present? false™ and “lookup_value.value ||
inherited_value true” in case one of them is true.

History

#1 - 11/26/2015 03:22 AM - Tomer Brisker

- Related to Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#3 - 11/26/2015 03:50 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2935 added

#4 - 11/26/2015 04:13 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 11/30/2015 05:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ea26193a94fc4d674eaed7a270987c026bbfb91e.

#6 - 12/09/2015 09:08 AM - Dominic Cleal

- Related to Bug #12752: Host and hostgroup clone doesn't copy smart class parameters overrides added

#7 - 12/09/2015 09:13 AM - Tomer Brisker

- Related to deleted (Bug #12752: Host and hostgroup clone doesn't copy smart class parameters overrides)
